<template lang="pug">
container
	.columns.is-flex.is-multiline
		.column.is-4-widescreen.is-12-tablet.is-12-mobile
			.title-wrap
				title-bar( :content='$t("page.home.buy.title")' )
		.column.is-2-widescreen.is-3-tablet.is-6-mobile( v-for='({ img, link, text }, i) in items' :key='i' )
			.column-container
				.img.is-flex
					img( v-lazy='img' )
				a.is-flex.is-align-items-center.is-justify-content-center( :href='link' target="_blank" )
					.bg
					p {{ text }}
					p.goto.is-flex.is-align-items-center.is-justify-content-center {{ $t("buttons.goto") }}
	.address
		span.icon.is-inline-flex
			angles
		span.text &nbsp;{{ $t("page.home.buy.address") }}&nbsp;
		br( v-if='isPhone || isTablet' )
		span.address.has-text-primary 0x7dAcc2327528A99aa1De0C1F757539A9A2380c04&nbsp;
		span.copy.img.is-inline-flex( v-clipboard:copy='"0x7dAcc2327528A99aa1De0C1F757539A9A2380c04"' )
			copy
</template>

<script>
export default {
	components: {
		Angles: () => import("svg/d_angle_right.svg"),
		Copy: () => import("svg/copy.svg")
	},
	computed: {
		items() {
			return [
				// {
				// 	img: require("@/assets/img/ichange.webp"),
				// 	link: "https://ichange.pro/"
				// },
				{
					img: require("@/assets/img/biswap.webp"),
					link: "https://exchange.biswap.org/#/swap?outputCurrency=0x7dacc2327528a99aa1de0c1f757539a9a2380c04"
				},
				{
					img: require("@/assets/img/pancake.webp"),
					link: "https://pancakeswap.finance/swap?outputCurrency=0x7dacc2327528a99aa1de0c1f757539a9a2380c04"
				},
				{
					img: require("@/assets/img/1inch.webp"),
					link: "https://app.1inch.io/#/56/swap/bnb/ibt"
				}
			].map((item, i) => ({ ...item, text: this.$t(`page.home.buy.list.${i+1}`) }))
		}
	}
}
</script>

<style lang="scss" scoped>
.section {
	background: 
		radial-gradient(21.36% 131.63% at -8.25% 0%, rgba(91, 145, 57, 0.2867) 0%, rgba(92, 145, 56, 0) 100%),
		radial-gradient(56.36% 36.62% at 72.04% 66.02%, rgba(92, 44, 37, 0.3599) 0%, rgba(22, 19, 28, 0) 100%),
		radial-gradient(91.57% 28.2% at 4.18% 7.06%, rgba(92, 44, 37, 0.3599) 0%, rgba(22, 19, 28, 0) 100%),
		#0F0D12;
}

.column:first-of-type img {
	filter: drop-shadow(0px 10px 29px rgba(107, 59, 255, 0.36));
}

.column-container {
	padding: 1.25rem;
	background: rgba($color: #fff, $alpha: .07);
	min-height: 8.0625rem;
	border-radius: 10px;
	position: relative;
	overflow: hidden;
	.img {
		width: 3.125rem;
		height: 3.125rem;
		margin: 0 auto;
		img {
			transition: all .2s ease-in-out;
		}
	}
	a {
		font-size: .9375rem;
		font-weight: 800;
		color: #fff;
		width: 100%;
		height: 50%;
		position: absolute;
		left: 0;
		bottom: 0;
		overflow: hidden;
		transition: height .2s ease-in-out;
		.bg {
			width: 100%;
			height: 100%;
			background: 
				radial-gradient(69.23% 237.77% at 26.99% 10%, #F5621C 0%, #D432D6 100%), 
				rgba(255, 255, 255, 0.07);
			opacity: 0;
			position: absolute;
			top: 0;
			left: 0;
			transition: opacity .2s ease-in-out;
		}
		p:not(.goto) {
			position: relative;
			z-index: 1;
			transition: all .2s ease-in-out;
		}
		.goto {
			font-size: .8125rem;
			font-weight: 600;
			text-decoration: underline;
			text-decoration-color: rgba($color: #fff, $alpha: .3);
			border-top: 1px solid rgba($color: #fff, $alpha: .1);
			text-align: center;
			width: 100%;
			height: 2.25rem;
			margin: 0 auto;
			position: absolute;
			top: 100%;
			right: 0;
			left: 0;
			transition: top .2s ease-in-out;
		}
	}
	&:hover {
		.img {
			img {
				margin-top: -7rem;
				margin-bottom: 7rem;
			}
		}
		a {
			height: 100%;
			box-shadow: 0px 31px 49px rgba(0, 0, 0, 0.28);
			.bg {
				opacity: 1;
			}
			p:not(.goto) {
				margin-top: -1.5rem;
			}
			.goto {
				top: calc(100% - 2.25rem);
			}
		}
	}
}

div.address {
	font-size: .9385rem;
	text-align: center;
	padding: 1.5rem 1rem;
	margin-top: 2rem;
	background: rgba($color: #fff, $alpha: .07);
	border-radius: 10px;
	position: relative;
	overflow: hidden;
	.text {
		font-weight: 800;
	}
	.address {
		font-weight: 500;
		@include max_tablet {
			word-break: break-all;
		}
	}
	.copy {
		cursor: pointer;
		svg::v-deep {
			max-width: .875rem;
			path {
				stroke: $primary;
				transition: stroke .2s ease-in-out;
			}
		}
		&:hover {
			svg::v-deep {
				path {
					stroke: $primary-dark;
				}
			}
		}

		@include max_tablet {
			display: flex!important;
			align-items: center;
			justify-content: center;
			width: 2.5rem;
			height: 2.5rem;
			background: rgba($color: #fff, $alpha: .07);
			border-radius: 10px 0;
			position: absolute;
			bottom: 0;
			right: 0;
			svg {
				max-width: .875rem;
			}
		}
	}
	@include max_tablet {
		padding: 1.5rem 2.5rem;
	}
}
</style>